Inserting-embedding some html data at the end of a .py file

Νίκος Γκρ33κ nikos.gr33k at gmail.com
Thu Mar 7 11:34:18 CET 2013


Τη Πέμπτη, 7 Μαρτίου 2013 12:19:05 μ.μ. UTC+2, ο χρήστης Chris Angelico έγραψε:
> On Thu, Mar 7, 2013 at 8:50 PM, Lele Gaifax <lele at metapensiero.it> wrote:
> 
> > Νίκος Γκρ33κ <nikos.gr33k at gmail.com> writes:
> 
> >
> 
> >> Τη Πέμπτη, 7 Μαρτίου 2013 11:22:09 π.μ. UTC+2, ο χρήστης Lele Gaifax έγραψε:
> 
> >>> http://docs.python.org/release/3.0.1/whatsnew/3.0.html#changed-syntax
> 
> >>>
> 
> >>> 4th (bullet) point.
> 
> >>
> 
> >> please give me the exact link to read, i cant seem to find it although
> 
> >> you send 4th bullet i do not see it....
> 
> >
> 
> > Oh come on Νίκος, the above *is* the *exact* link to read, I even
> 
> > pointed at the right subparagraph: it contains both a link to the
> 
> > reference manual for the "except" keyword, and a link to the PEP that
> 
> > talks about the change.
> 
> 
> 
> I think it's time to take him up on his offer to call him an idiot :)
> 
> 
> 
> Nikos, try 'as'.
> 
> 
> 
> ChrisA

Thank you all the trick was to replace the comma with the 'as'

script is almost ready for Python v3.2.3 now!

ima just receivign this error:

--> -->
Traceback (most recent call last):
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/cursors.py", line 171, in execute
    r = self._query(query)
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/cursors.py", line 330, in _query
    rowcount = self._do_query(q)
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/cursors.py", line 294, in _do_query
    db.query(q)
_mysql_exceptions.ProgrammingError: (1064, "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '%s' at line 1")

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "metrites.py", line 212, in <module>
    cur.execute( '''SELECT hits FROM counters WHERE url = %s''', (htmlpage,) )
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/cursors.py", line 184, in execute
    self.errorhandler(self, exc, value)
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/connections.py", line 36, in defaulterrorhandler
    raise errorclass(errorvalue)
_mysql_exceptions.ProgrammingError: (1064, "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '%s' at line 1")

Tou cna see it more clearly at my website http://superhost.gr



More information about the Python-list mailing list